Stars
Definition starring operations
3 endpoints
Check star status
Check if the authenticated user has starred a definition.
Requires authentication
Parameters
typerequiredstringpathDefinition type
agentcommandworkflowpipelinenamerequiredstringpathDefinition name with version (name@version format)
Responses
200Star status
401Authentication required
404Resource not found
Response fields
dataobjectGET
/api/v1/definitions/{type}/{name}/star/statuscurl -X GET "https://api.uluops.ai/api/v1/definitions/agent/my-project/star/status" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": {
"starred": true,
"starredAt": "2026-01-15T10:30:00Z"
}
}Star a definition
Star a definition. Idempotent — no-op if already starred.
Requires authentication
Parameters
typerequiredstringpathDefinition type
agentcommandworkflowpipelinenamerequiredstringpathDefinition name with version (name@version format)
Responses
200Definition starred (or already starred)
401Authentication required
404Resource not found
Response fields
dataobjectPOST
/api/v1/definitions/{type}/{name}/starcurl -X POST "https://api.uluops.ai/api/v1/definitions/agent/my-project/star" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": {
"starred": true,
"starCount": 0
}
}Unstar a definition
Remove a star from a definition. Idempotent — no-op if not starred.
Requires authentication
Parameters
typerequiredstringpathDefinition type
agentcommandworkflowpipelinenamerequiredstringpathDefinition name with version (name@version format)
Responses
200Definition unstarred (or was not starred)
401Authentication required
404Resource not found
Response fields
dataobjectDELETE
/api/v1/definitions/{type}/{name}/starcurl -X DELETE "https://api.uluops.ai/api/v1/definitions/agent/my-project/star" \
-H "Authorization: Bearer $ULUOPS_TOKEN"Response
{
"data": {
"starred": true,
"starCount": 0
}
}